package org.kar.karusic.migration;

import org.kar.archidata.migration.MigrationSqlStep;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Migration20240907 extends MigrationSqlStep {
	private static final Logger LOGGER = LoggerFactory.getLogger(Migration20240907.class);

	public static final int KARSO_INITIALISATION_ID = 1;

	@Override
	public String getName() {
		return "migration-2024-09-07: convert data id in uuid";
	}

	public Migration20240907() {

	}

	@Override
	public void generateStep() throws Exception {
		addAction("""
				ALTER TABLE `data` DROP INDEX `PRIMARY`;
				""");
		addAction("""
				ALTER TABLE `data` CHANGE `id` `uuid` binary(16) DEFAULT (UUID_TO_BIN(UUID(), TRUE));
				""");
		addAction("""
				ALTER TABLE `data` ADD PRIMARY KEY `uuid` (`uuid`);
				""");
	}

}
